
Foreman - Refactor #33589

Tracker # 29939 (Closed): Improve setting definition DSL and move setting registry to memory

Refactor # 32408 (Closed): Use new DSL to define settings

Use new DSL to define Authentication settings

09/29/2021 02:06 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Settings   

Target version:    

Difficulty:  Fixed in Releases: 3.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8802

  

Description

Associated revisions

Revision 233068a8 - 10/26/2021 10:38 AM - Ondřej Ezr

Fixes #33589 - use setting DSL for Authentication category

Revision d94ada67 - 10/26/2021 10:38 AM - Ondřej Ezr

Refs #33589 - improve Authentication descriptions

We've come up with improvements for setting description in the review.

Co-authored-by: Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl>

History

#1 - 09/30/2021 02:04 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/8802 added

#2 - 10/26/2021 10:38 AM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#3 - 10/26/2021 11:01 AM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|233068a83d9a9620e3e9de5f268891d15f2327c1.
